<p>Dieses Interaktive Element visualisiert dir die Schritte, die vollzogen werden müssen um ein Entity-Relationship-Modell ins Relationenmodell zu überführen.</p>
<h3 id="anzeige">Tabellen erstellen</h3>
<div id="stufen">
  <div id="stufe0" class="div0">
    <!-- 1. Seite--> 
    <div class="div1">
      <p>Um das ER-Modell in ein Relationenmodell zu überführen, müssen zunächst die Tabellen erstellt werden.</p>
      <ul>
      <li>Jeder Entitätstyp erhält seine eigene Tabelle.</li>
      <li>Jeder Beziehungstyp mit eigenen Attributen erhält seine eigene Tabelle.</li>
      </ul>
      <div id="taskbox">
      <div id="task">
        Wähle durch anklicken die Entitätstypen aus, um eine Tabelle zu erstellen.
      </div>
      </div>
    </div>
  </div>
  <div id="stufe1" class="div1">
   <ul>
    <li>Die Attribute der jeweiligen Entität werden nun in die Tabelle eingetragen.</li>
   </ul>
   <div id="taskbox">
    <div id="task">
      Füge die Attribute durch antippen hinzu.
    </div>
   </div>
  </div>
  <div id="stufe2" class="div1">
   <p>Als nächstes werden die Primärschlüssel in der Tabelle hervorgehoben.</p>
   <div id="taskbox">
    <div id="task">
      Füge die Attribute durch antippen hinzu.
    </div>
   </div>
  </div>
  <div id="stufe3" class="div1">
   <p>Die Fremdschlüssel sind abhängig von dem jeweiligen Beziehungstyp:</p>
   <ul>
    <li>1:n Beziehung: Der Primärschlüssel der 1-Seite, wird der Tabelle der n-Seite als Fremdschlüssel hinzugefügt. </li>
   </ul>
   <div id="taskbox">
    <div id="task">
      Füge den Fremdschlüssel durch klicken hinzu.
    </div>
   </div>
  </div>
  <div id="stufe4" class="div1">
   <p>Die Fremdschlüssel sind abhängig von dem jeweiligen Beziehungstyp:</p>
   <ul>
    <li>n:m Beziehung: Die Relation wird zu einer eigenen Tabelle, in welcher die Primärschlüssel beider Entitätstypen als Fremdschlüssel eingetragen werden </li>
   </ul>
   <div id="taskbox">
    <div id="task">
      Erstelle durch klicken eine neue Relationen-Tabelle und füge ihr die passenden Fremdschlüssel hinzu.
    </div>
   </div>
  </div>
  <div id="stufe5" class="div1">
   <p>Beziehugstypen mit eigenen Attributen erhalten ihre eigene Tabelle. Bzw., wenn bereits eine n:m-Beziehung vorliegt, werden noch die Attribute in der Tabelle ergänzt.</p> 
   <div id="taskbox">
    <div id="task">
      Klicke auf die Attribute des Beziehungstyps, um diese der Tabelle hinzuzufügen.
    </div>
   </div>
  </div>
  <div id="stufe6" class="div1">
   <p>Zuletzt werden noch die Datentypen für alle Attribute bestimmt.</p>
   <div id="taskbox">
    <div id="task">
     <p onclick="datentypenein()"><strong>👁</strong> Datentypen anzeigen</p>
    </div>
   </div>
  </div>
</div>
  
<div id="taskbox">
  <div id="task">
    Wähle durch Anklicken die Entitätstypen aus, um eine Tabelle zu erstellen. 
  </div>
</div>

<div class="interactive">
   <div id="interaction" style="background-color: #fff; margin: 0 auto; border:1px solid #AAA; padding: 0.5em; min-width: 250px;">
    <div style="height:100%; width:100%">
      <button id="links" style="float: left">zurück</button>
      <div id="mitte" class="slidebar" style="float: left">
        <input type="range" min="0" max="6" value="0" class="slider" id="myRange" oninput="adjusttext(this.value)">
      </div>
      <button id="rechts" style="float: left">vor</button>
    </div>
    <svg width="100%" viewBox="31 280 903 280" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> 
      <g id='entity-schueler'>
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="791.45" y="338" width="81.9" height="36"></rect> 
        <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="832.4" y="360">
        Schüler
        </text>
      </g>
      <g id="entity-klasse">
        <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="520.05" y="339" width="74.2" height="36"></rect> 
        <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="557.15" y="361">
        Klasse
        </text>
      </g>
      <g id="entity-lehrer">
        <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="131.4" y="340" width="74.2" height="36"></rect> 
        <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="168.5" y="362">
        Lehrer
        </text> 
      </g> 
     <g> 
      <polygon style="fill: #ffffff; stroke-width: 2; stroke: #000000" points="622.274,356.44 679.674,322 737.074,356.44 679.674,390.88"></polygon>
      <text font-size="11.2889" style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="616.274" y="350.44">
       1
      </text> 
      <text font-size="11.2889" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="743.074" y="350.44">
       n
      </text> 
      <text font-size="11.2889" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="679.674" y="359.968">
       besteht aus
      </text>
     </g> 
     <g id="rel-lehrt">
      <polygon style="fill: #ffffff; stroke-width: 2; stroke: #000000" points="324.75,357.2 361.75,335 398.75,357.2 361.75,379.4 "></polygon>
      <text font-size="11.2889" style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="318.75" y="351.2">
       n
      </text> 
      <text font-size="11.2889" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="404.75" y="351.2">
       m
      </text> 
      <text font-size="11.2889" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="361.75" y="360.728">
       lehrt
      </text>
     </g>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="594.25" y1="357" x2="621.268" y2="356.823"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="737.074" y1="356.44" x2="790.451" y2="356.194"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="205.6" y1="358" x2="323.761" y2="357.395"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="399.753" y1="357.161" x2="519.057" y2="357.039"></line>
     <g id="attr_personalausweis">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="168.5" cy="299" rx="58.5" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="168.5" y="303">
        PersonalNr
      </text>
      <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="130" y1="307" x2="207" y2="307"></line>
     </g>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="168.5" y1="317" x2="168.5" y2="339.001"></line>
     <g id="attr_name">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="68.4" cy="359" rx="35.4" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="68.4" y="363">
        Name
      </text>
     </g>
     <g id="attr_teilzeit">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="168.5" cy="408" rx="50.8" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="168.5" y="412">
        Teilzeit
      </text>
     </g>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="104.795" y1="358.636" x2="130.394" y2="358.381"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="168.5" y1="388.994" x2="168.5" y2="377.006"></line>
     <g id='attribut-klasse'>
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="474.15" cy="299" rx="43.1" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="474.15" y="303">
        Klasse
      </text>
      <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="451.05" y1="307" x2="497.25" y2="307"></line>
     </g>
     <g id="attr_elternsprecher">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="605.9" cy="299" rx="73.9" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="605.9" y="303">
        Elternsprecher
      </text>
     </g>
     <g id="attr_klassenlehrer">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="557.15" cy="408" rx="70.05" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="557.15" y="412">
        Klassenlehrer
      </text>
     </g>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="474.15" y1="317" x2="519.044" y2="338.636"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="590.451" y1="317.38" x2="573.11" y2="338.011"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="557.15" y1="389.012" x2="557.15" y2="375.988"></line>
     <g id="attr_fach">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="362.55" cy="299" rx="35.4" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="362.55" y="303">
        Fach
      </text>
     </g>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="362.289" y1="317.997" x2="362.069" y2="333.997"></line>
     <g id="attr_wochenstunden">
      <ellipse style="fill: #FFFFFF; stroke-width: 2; stroke: #000000" cx="362.55" cy="408" rx="70.05" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="362.55" y="412">
        Wochenstunden
      </text>
     </g>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="362.251" y1="389.024" x2="362.114" y2="380.318"></line>
     <g id="attr_schueler">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="778.4" cy="299" rx="58.5" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="778.4" y="303">
       SchuelerNr
      </text>
      <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="739.9" y1="307" x2="816.9" y2="307"></line>
     </g>
     <g id="attr_name2">
      <ellipse style="fill: #ffffff; stroke-width: 2; stroke: #000000" cx="898.4" cy="299" rx="35.4" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="898.4" y="303">
       Name
      </text>
     </g>
     <g id="attr_geburtsdatum">
      <ellipse style="fill: #FFFFFF; stroke-width: 2; stroke: #000000" cx="835.4" cy="410" rx="66.2" ry="18"></ellipse>
      <text font-size="12.8" style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal" x="835.4" y="414">
       Geburtsdatum
      </text>
     </g>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="795.446" y1="316.993" x2="814.404" y2="337.005"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="879.692" y1="315.156" x2="854.395" y2="337.005"></line>
     <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="834.345" y1="391.002" x2="833.455" y2="374.998"></line>
     <g id="tab_lehrer" visibility="hidden">
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="95.9" y="458" width="149.2" height="18"></rect>
      <text font-size="11.2" style="fill: #000000;text-anchor:middle;font-family:sans-serif;font-style:normal;font-weight:700" x="170.5" y="472">
       Lehrer
      </text>
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="95.9" y="476" width="149.2" height="68"></rect>
      <text visibility="hidden" id="at_personalnr" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="104.9" y="492">
       PersonalNr
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="207.3" y="492" id="dat_personalnr">
       T4
      </text>
      <line id="prim_personalnr" visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="104.9" y1="493.6" x2="222.7" y2="493.6"></line>
      <text visibility="hidden" id="at_fname" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="104.9" y="508">
       Familienname
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="207.3" y="508" id="dat_fname">
       T50
      </text>
      <text visibility="hidden" id="at_vname" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="104.9" y="524"></text>
       Vorname
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="207.3" y="524" id="dat_vname">
       T50
      </text>
      <text visibility="hidden" id="at_teilzeit" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="104.9" y="540">
       Teilzeit
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="207.3" y="540" id="dat_teilzeit">
       Bool
      </text> 
     </g> 
     <g id="tab_lehrt" visibility="hidden"> 
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="275.25" y="458" width="164.6" height="18"></rect> 
      <text font-size="11.2" style="fill: #000000;text-anchor:middle;font-family:sans-serif;font-style:normal;font-weight:700" x="357.55" y="472">
       lehrt 
      </text> 
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="275.25" y="476" width="164.6" height="84"></rect> 
      <text font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="284.25" y="492">
       LfdNr
      </text> 
      <line visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="284.25" y1="493.6" x2="394.35" y2="493.6"></line> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="284.25" y="508" id="fremd_personalnr">
       PersonalNr
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="394.35" y="508" id="dat_fremdpersonalnr">
       T4
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="284.25" y="524" id="fremd_klasse2">
       Klasse
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="394.35" y="524" id="dat_fremdklasse">
       T3
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="284.25" y="540" id="at_fach">
       Fach
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="394.35" y="540" id="dat_fach">
       T50
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="284.25" y="556" id="at_wochenstunden">
       Wochenstunden
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="394.35" y="556" id="dat_wochenstunden">
       ZByte
      </text> 
     </g> 
     <g id="tab_klasse" visibility="hidden"> 
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="482.7" y="458" width="156.9" height="18"></rect> 
      <text font-size="11.2" style="fill: #000000;text-anchor:middle;font-family:sans-serif;font-style:normal;font-weight:700" x="561.15" y="472">
       Klasse
      </text> 
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="482.7" y="476" width="156.9" height="52"></rect> 
      <text id="at_klasse" visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="491.7" y="492">
       Klasse
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="609.5" y="492" id="dat_fremdklasse2">
       T3
      </text>
      <line id="prim_klasse" visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="491.7" y1="493.6" x2="624.9" y2="493.6"></line> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="491.7" y="508" id="at_elternsprecher">
       Elternsprecher
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="609.5" y="508" id="dat_elternsprecher">
       T50
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="491.7" y="524" id="at_klassenlehrer">
       Klassenlehrer
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="609.5" y="524" id="dat_klassenlehrer">
       T50
      </text>
     </g>
     <g id="tab_schueler" visibility="hidden"> 
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="752" y="458" width="164.6" height="18"></rect> 
      <text font-size="11.2" style="fill: #000000;text-anchor:middle;font-family:sans-serif;font-style:normal;font-weight:700" x="834.3" y="472">
       Schueler
      </text> 
      <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="752" y="476" width="164.6" height="84"></rect> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="761" y="492" id="at_schuelernr">
       SchuelerNr
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="871.1" y="492" id="dat_schuelernr">
       T6
      </text>
      <line id="prim_schuelernr" visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="761" y1="493.6" x2="886.5" y2="493.6"></line> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="761" y="508" id="fremd_klasse">
       Klasse
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="871.1" y="508" id="dat_klasse">
       T3
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="761" y="524" id="at_sfname">
       Familiennamen
      </text> 
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="871.1" y="524" id="dat_sfname">
       T50
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="761" y="540" id="at_svname">
       Vornamen
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="871.1" y="540" id="dat_svname">
       T50
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="761" y="556" id="at_geburtsdatum">
       Geburtsdatum
      </text>
      <text visibility="hidden" font-size="12.8" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="871.1" y="556" id="dat_geburtsdatum">
       Datum
      </text>
     </g> 
     <g> 
      <polyline id="fremd_line2" visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" points="245.1,486 260.175,486 260.175,502 275.25,502 "></polyline> 
      <text visibility="hidden" font-size="9.6" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="249.1" y="482" id="rel1a">
       1 
      </text> 
      <text visibility="hidden" font-size="9.6" style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="271.25" y="498" id="rel1b">
       n 
      </text> 
     </g> 
     <g> 
      <polyline id="fremd_line3" visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" points="482.7,486 461.275,486 461.275,518 439.85,518 "></polyline> 
      <text visibility="hidden" font-size="9.6" style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="478.7" y="482" id="rel2a">
       1 
      </text> 
      <text visibility="hidden" font-size="9.6" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="443.85" y="514" id="rel2b">
       n 
      </text> 
     </g> 
     <g> 
      <polyline id="fremd_line1" visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" points="639.6,486 695.8,486 695.8,502 752,502 "></polyline> 
      <text visibility="hidden" font-size="9.6" style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="643.6" y="482" id="rel3a">
       1 
      </text>
      <text visibility="hidden" font-size="9.6" style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="748" y="498" id="rel3b">
       n 
      </text>
     </g> 
    </svg> 
   </div> 
   <div class="interactiveOverlay"></div>
  </div>